#!/bin/bash

# 主机清单文件
HOSTS_FILE="hosts.txt"

# 输出结果文件
OUTPUT_FILE="results.txt"

# 清空结果文件
> "$OUTPUT_FILE"

USER='root'
PASSWD='yourpasswd'

# 遍历每一行
for host in `cat hosts.txt`; do
    echo "验证 $host ..."

    # 使用 sshpass 验证登录
    result=`sshpass -p $PASSWD ssh -o StrictHostKeyChecking=no -o ConnectTimeout=3 "$USER@$host" "ls"`

    if [ $? -eq 0 ]; then
        echo "$host,Success" >> "$OUTPUT_FILE"
        echo "$host 登录成功"
    else
        echo "$host,Failed" >> "$OUTPUT_FILE"
        echo "$host 登录失败"
    fi
done

echo "验证完成，结果保存在 $OUTPUT_FILE 中。"

